Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 204257 - [71cat] inconsistent / incomplete behaviour of autocomplete
[71cat] inconsistent / incomplete behaviour of autocomplete
Status: RESOLVED FIXED
Product: web
Classification: Unclassified
Component: Editing infrastructure
7.1
PC Windows XP
: P3 (vote)
: 7.1
Assigned To: Marek Fukala
issues@web
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-26 08:36 UTC by muellermi
Modified: 2011-11-16 16:43 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description muellermi 2011-10-26 08:36:08 UTC
Product Version = NetBeans IDE Dev (Build 201110250600)
Operating System = Windows XP version 5.1 running on x86
Java; VM; Vendor = 1.7.0
Runtime = Java HotSpot(TM) Client VM 21.0-b17

For a JSF page, autocomplete should allways work, when reasonable values might be offered. But, in fact, sometimes it works fine, sometimes there are no suggestion. And this might happen to the same attribute, depending on the tag.
I noticed some behaviour of autocomplete. If it happened to a spescial tag, I metioned it with the tag name. Problems are marked with ###
Having only restricted time, this list is still incomplete. All attributes for all tags should be checked...

dir: LTR, RTL
disabled: false, true
disabled <f:ajax>: No suggestions. ### Should be false, true
hideNoSelectionOption: false, true
immediate <f:ajax>: false, true
immediate: No suggestions. ### Should be false, true
itemDisabled: No suggestions. ### Should be false, true
itemLabelEscaped: list of <f:....> tags. Is this correct? Shouldn't it be false, true? ###?
layout: No suggestions. ### Should be "lineDirection", "pageDirection"
readonly: false, true
rendered: false, true
required: false, true
styleClass: styles from used css files.
	### "goto declaration / goto source" should be made available to open the css file within the editor
Comment 1 Marek Fukala 2011-10-26 15:16:28 UTC
It definitively sounds like an enhancement to me, but I'll try fix it...
Comment 2 Marek Fukala 2011-10-27 14:04:25 UTC
fixed in web-main#579577cd259f

I've added a generic boolean (true/false) completion based on the library descriptor.

I've also added missing layout completion for h:selectOneRadio

As for the rest:

dir attr completion in html tags properly works.

styleClass attr of facelet tags properly offers css classes, and the occurrences are taken into account in find usages/refactoring/hyperlinking.

layout attribute completion worked in all html library tags except the one I've just fixed.

I'm sure there's a huge room for improvements, but closing the issue since its a defect and the described cases are either fixed or works for me.

thank you for your feedback!


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo